Subject: Re: Problem installing PerlMagick 6.02
From: "Gerrit P. Haase" <[email-masked]>
To: "Bryan Thrall" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 8 Oct 2004 22:14:37 +0200

Hello Bryan,

Am Freitag, 8. Oktober 2004 um 19:23 schriebst du:

> I am trying to install PerlMagick on my WinXP box with Cygwin, and
> everything seems to install (after some tweaking of the build process,
> described below) fine.  Except that none of the PerlMagick tests pass and
> when I run the demo, I get this error:

> PerlMagick-6.02/demo$ make
> perl demo.pl
> Read...
> Exception 435: unable to open image `': No such file or directory at demo.pl
> line 14.
> Exception 435: unable to open image `': No such file or directory at demo.pl
> line 18.
> Exception 410: no images defined `label' at demo.pl line 19.
> make: *** [all] Error 10

> Using the Cygwin ImageMagick package.  I've also built and installed
> ImageMagick 6.08 myself and have no problems with it (display and convert
> work fine, for example). ImageMagick is installed in /usr/local. The errors
> produced from my own ImageMagick install are slightly different:

> PerlMagick-6.02/demo$ make
> perl demo.pl
> Read...
> Exception 435: unable to open image `ck': No such file or directory at
> demo.pl line 14.
> Exception 435: unable to open image `f': No such file or directory at
> demo.pl line 18.
> Exception 410: no images defined `label' at demo.pl line 19.
> make: *** [all] Error 10

> It looks like the image name is being truncated somehow ('ck' is the last
> part of 'NULL:black' and 'f' is the last part of 'model.gif'), but I don't
> know enough about DLLs and perl to guess why that might be happening.

There is a bug in cygwin-1.5.11, do you use 1.5.11?
Then please try the latest snapshot and report back.

And update ExtUtils::MakeMaker, the .dll.a bug was fixed a year ago,
but it seems that MakeMaker in the stable release of perl was not
updated.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/